> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Track GST Returns

> Check compliance for a GST-registered business by passing the financial year and the GSTIN. Further, you can filter the list by passing the return type.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstrs/track
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/public/gstrs/track:
    post:
      tags:
        - Public
      summary: Track GST Returns
      description: >-
        Check compliance for a GST-registered business by passing the financial
        year and the GSTIN. Further, you can filter the list by passing the
        return type.
      operationId: trackGstReturns
      parameters:
        - name: gstr
          in: query
          description: Optional GST Return type to be passed as filter. E.g. gstr-1
          required: false
          schema:
            type: string
            example: '{{gstr}}'
        - name: financial_year
          in: query
          description: Financial Year of GST Returns e.g. FY 2021-22
          required: true
          example: FY 2025-26
          schema:
            type: string
            example: '{{financial_year}}'
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-accept-cache
          in: header
          description: >-
            Pass true to accept the cached response. If the header is not
            passed, or if false is sent as the value, the request will hit the
            origin.
          required: false
          example: ''
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - gstin
              properties:
                gstin:
                  type: string
                  description: GSTIN of the Taxpayer
            examples:
              200 Filed returns:
                value:
                  gstin: 33ABKCS2033B1ZW
                summary: 200 Filed returns
              RTN_22 Select Valid FY:
                value:
                  gstin: 3418FIN00001UNY
                summary: RTN_22 Select Valid FY
              RET13510 No Record Found:
                value:
                  gstin: 07CQZCD1111I4Z7
                summary: RET13510 No Record Found
              Request Example:
                value:
                  gstin: 33DMOPD7318K1ZT
                summary: Request Example
              Invalid GSTIN pattern:
                value:
                  gstin: 34ACXP00001E0Z0
                summary: Invalid GSTIN pattern
      responses:
        '200':
          description: >-
            200 Filed returns / RTN_22 Select Valid FY / RET13510 No Record
            Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          EFiledlist:
                            type: array
                            items:
                              type: object
                              properties:
                                arn:
                                  type: string
                                  description: Acknowledgment Reference Number
                                  example: AA330820000343Z
                                dof:
                                  type: string
                                  description: Date of Filing
                                  example: 01-02-2023
                                mof:
                                  type: string
                                  description: Mode of Filing
                                  example: GSP
                                ret_prd:
                                  type: string
                                  description: Return period
                                  example: '082020'
                                rtntype:
                                  type: string
                                  description: Return Type
                                  example: GSTR1
                                status:
                                  type: string
                                  description: Status of return filing
                                  example: Filed
                                valid:
                                  type: string
                                  description: Whether filed return is valid
                                  example: 'Y'
                            example:
                              - arn: AA330820000343Z
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '082020'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330920000445R
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '092020'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3310200003682
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '102020'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA331120000360G
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '112020'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3312200004719
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '122020'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330121000749R
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '012021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330321000450A
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '032021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330720000428R
                                dof: 01-02-2023
                                mof: GSP
                                ret_prd: '072020'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330621000547P
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '062021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3303220002437
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '032022'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3302220002629
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '022022'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3301220002283
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '012022'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3311210003448
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '112021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA331221000400G
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '122021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3310210003490
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '102021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330921000392S
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '092021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330821000569F
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '082021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330721000374U
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '072021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3305210003144
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '052021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA330421000474Y
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '042021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3302210003736
                                dof: 30-01-2023
                                mof: GSP
                                ret_prd: '022021'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                              - arn: AA3312220001761
                                dof: 25-01-2023
                                mof: GSP
                                ret_prd: '122022'
                                rtntype: GSTR1
                                status: Filed
                                valid: 'Y'
                      error:
                        type: object
                        properties:
                          error_code:
                            type: string
                            example: RTN_22
                          message:
                            type: string
                            example: Please select a valid financial year
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 7495493a-b127-4eca-a304-a550fbc98447
              examples:
                200 Filed returns:
                  summary: 200 Filed returns
                  value:
                    code: 200
                    data:
                      data:
                        EFiledlist:
                          - arn: AA330820000343Z
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '082020'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330920000445R
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '092020'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3310200003682
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '102020'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA331120000360G
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '112020'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3312200004719
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '122020'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330121000749R
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '012021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330321000450A
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '032021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330720000428R
                            dof: 01-02-2023
                            mof: GSP
                            ret_prd: '072020'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330621000547P
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '062021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3303220002437
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '032022'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3302220002629
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '022022'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3301220002283
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '012022'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3311210003448
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '112021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA331221000400G
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '122021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3310210003490
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '102021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330921000392S
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '092021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330821000569F
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '082021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330721000374U
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '072021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3305210003144
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '052021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA330421000474Y
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '042021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3302210003736
                            dof: 30-01-2023
                            mof: GSP
                            ret_prd: '022021'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                          - arn: AA3312220001761
                            dof: 25-01-2023
                            mof: GSP
                            ret_prd: '122022'
                            rtntype: GSTR1
                            status: Filed
                            valid: 'Y'
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 7495493a-b127-4eca-a304-a550fbc98447
                RTN_22 Select Valid FY:
                  summary: RTN_22 Select Valid FY
                  value:
                    code: 200
                    data:
                      error:
                        error_code: RTN_22
                        message: Please select a valid financial year
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 24a346fb-7f99-4404-b07d-e770cee882d5
                RET13510 No Record Found:
                  summary: RET13510 No Record Found
                  value:
                    code: 200
                    data:
                      error:
                        error_code: RET13510
                        message: No Record found for the provided Inputs
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 6c47d6e5-24dd-4350-8152-c8cf92fd51ac
          headers:
            Connection:
              required: false
              description: ''
              schema:
                type: string
                example: keep-alive
            Content-Length:
              required: false
              description: ''
              schema:
                type: string
                example: '131'
            Date:
              required: false
              description: ''
              schema:
                type: string
                example: Mon, 18 Mar 2024 11:17:10 GMT
            access-control-allow-origin:
              required: false
              description: ''
              schema:
                type: string
                example: '*'
            vary:
              required: false
              description: ''
              schema:
                type: string
                example: Accept-Encoding
            x-amz-apigw-id:
              required: false
              description: ''
              schema:
                type: string
                example: U0pcZG7vhcwFqJw=
            x-amzn-Remapped-Connection:
              required: false
              description: ''
              schema:
                type: string
                example: keep-alive
            x-amzn-Remapped-Content-Length:
              required: false
              description: ''
              schema:
                type: string
                example: '131'
            x-amzn-Remapped-Date:
              required: false
              description: ''
              schema:
                type: string
                example: Mon, 18 Mar 2024 11:17:10 GMT
            x-amzn-RequestId:
              required: false
              description: ''
              schema:
                type: string
                example: be24774c-e064-4ec0-bbb4-46e31a0d321d
            x-srv-span:
              required: false
              description: ''
              schema:
                type: string
                example: v=1;s=2c30935bae37d3f2
            x-srv-trace:
              required: false
              description: ''
              schema:
                type: string
                example: v=1;t=fe95b4e8219a1aa0
        '422':
          description: Invalid GSTIN pattern
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 422
                  message:
                    type: string
                    example: Invalid GSTIN pattern
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: e32ced0b-fb58-4555-9b47-174bcd2a75d0
              examples:
                Invalid GSTIN pattern:
                  summary: Invalid GSTIN pattern
                  value:
                    code: 422
                    message: Invalid GSTIN pattern
                    timestamp: 1763446641000
                    transaction_id: e32ced0b-fb58-4555-9b47-174bcd2a75d0
          headers: {}
      deprecated: false
      security: []

````